<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));


    $wp_customize->add_section( 'peccular_events_inner_pages' , array(
        'title'    => __( 'Event Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

    $wp_customize->add_setting('peccular_eventsinnerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_eventsinnerpages_nav', array(
       'section' => 'peccular_events_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_eventpage_post_image_height',
                'peccular_eventspage_box_align', 
                'peccular_eventspage_title_case' ,
                'peccular_eventspage_post_excerpt'             
                
                ),            
                
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_eventspage_title_color',
                'peccular_eventspage_text_color',
                'peccular_eventspage_learnbtn_color',
                'peccular_eventspage_learnbtnhover_color',
                'peccular_eventspage_contboxbrdr_color',
                'peccular_eventspage_contboxoverlay_color',
                'peccular_eventspage_contboxbrdrhov_color',
                'peccular_eventspage_boxhoverbg_color'
            ),
         )
        ),
    ))); 
  
      $wp_customize->add_setting('peccular_eventpage_post_image_height',array(
        'default' => 511,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_eventpage_post_image_height',array(
    'label' => __('Image Height','peccular'),
    'section' => 'peccular_events_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 500,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('peccular_eventspage_box_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_eventspage_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_events_inner_pages',
    ));

    $wp_customize->add_setting('peccular_eventspage_title_case',array(
        'default' => 'Capitalize',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_eventspage_title_case',array(
        'type' => 'select',
        'label' => __('Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_events_inner_pages',
    ));


    $wp_customize->add_setting('peccular_eventspage_post_excerpt',array(
        'default' => 11,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_eventspage_post_excerpt',array(
    'label' => __('Excerpt Length','peccular'),
    'section' => 'peccular_events_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));
    

addColorPalatOption($wp_customize, 'peccular_eventspage_title_color', 'peccular_events_inner_pages', 'Event Title Color', '');
addColorPalatOption($wp_customize, 'peccular_eventspage_text_color', 'peccular_events_inner_pages', 'Event Text Color', '');
addColorPalatOption($wp_customize, 'peccular_eventspage_learnbtn_color', 'peccular_events_inner_pages', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_eventspage_learnbtnhover_color', 'peccular_events_inner_pages', 'Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_eventspage_contboxoverlay_color', 'peccular_events_inner_pages', 'Content Box Overlay Color', '');
addColorPalatOption($wp_customize, 'peccular_eventspage_contboxbrdr_color', 'peccular_events_inner_pages', 'Content Box Border Color', '');
addColorPalatOption($wp_customize, 'peccular_eventspage_contboxbrdrhov_color', 'peccular_events_inner_pages', 'Content Box Hover Border Color', '');
addColorPalatOption($wp_customize, 'peccular_eventspage_boxhoverbg_color', 'peccular_events_inner_pages', 'Image Hover Overlay Color', '');
?>